X freeze after install nVidia recommended driver and login

Bug #749524 reported by chalet16 on 2011-04-03
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xorg

NOTE: First I think it's the same bug as #738789 but in my situation GDM appears and I'm able to login before it freeze.

Follow steps on http://testcases.qa.ubuntu.com/Hardware/X/ProprietaryDrivers#Installation :

1. Boot stock system on compatible video hardware, using the appropriate open source driver (or -vesa). By default, Ubuntu boots with the open source driver.
-> boot successfully and able to login (but no Unity 3D)
2. Note the contents of /etc/X11/xorg.conf (or simply note absence of the file)
-> xorg.conf file not exists
3.Go to System : Administration : Hardware Drivers
4.Verify that it correctly identifies that a video driver is available for this hardware
5.Install the recommended driver
-> There's a driver avaliable and I can install it successfully.
6.Verify that a *.ko file is installed properly for the correct kernel(s)
find /lib/modules/ -type f -ls -iname '*.ko' | grep -E "/nvidia-current.ko|/nvidia-173.ko|/nvidia-96.ko|/fglrx.ko"
Check that the timestamp of the file is correct.
-> Timestamp of file is about the time I run command above.
7.Note new contents of /etc/X11/xorg.conf. It should list the name of the proprietary driver as a minimum.
-> The name of the proprietary driver is not exist. There are only these line in xorg.conf
1:
2: Section "Device"
3: Identifier "Default Device"
4: Option "Nologo" "True"
5: EndSection
6:

8.Reboot
9.Verify the GUI display comes up
-> Display comes up with strange resolution and freeze (but able to move mouse) after login.
10.Verify the proprietary driver loaded
 grep -E "LoadModule:.*\"nvidia|fglrx\"" /var/log/Xorg.0.log
-> Found (II) LoadModule: "nvidia"

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xorg 1:7.6+4ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Mon Apr 4 00:01:06 2011
DistroCodename: natty
DistroVariant: ubuntu
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110403)
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu1
---
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.41.03 Sat Apr 9 00:06:19 PDT 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu3)
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: None
DistUpgraded: Fresh install
DistroCodename: natty
DistroRelease: Ubuntu 11.04
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 270.41.03, 2.6.38-8-generic, x86_64: installed
GraphicsCard:
 nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] [10de:01d7] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:3839]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
MachineType: Lenovo LENOVO3000 Y400
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=30d5c1bd-de45-421b-aa75-af3fd546b3e1 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Renderer: Unknown
Tags: natty ubuntu
Uname: Linux 2.6.38-8-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 01/15/07
dmi.bios.vendor: Lenovo
dmi.bios.version: v2.01
dmi.board.name: OEM
dmi.board.vendor: Lenovo
dmi.board.version: Not Applicable
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnLenovo:bvrv2.01:bd01/15/07:svnLenovo:pnLENOVO3000Y400:pvr00000000000000000000000000000000:rvnLenovo:rnOEM:rvrNotApplicable:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: LENOVO3000 Y400
dmi.product.version: 00000000000000000000000000000000
dmi.sys.vendor: Lenovo
version.compiz: compiz 1:0.9.4+bzr20110411-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

chalet16 (chalet16) wrote :
bugbot (bugbot) on 2011-04-04
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Bryce Harrington (bryce) wrote :

Hi chalet,

Unfortunately the apport hook did not attach all the X logs and such. Please run 'apport-collect 749524', which hopefully should attach all the stuff we need.

Also, can you indicate if you have ia32-libs installed, or if your system is hybrid graphics?

If you have ia32-libs installed, please temporarily uninstall it and try reproducing the problem. ia32-libs has a copy of mesa with a different GLX than nvidia uses.

If you are on a hybrid graphics system, note that hybrid graphics switching is not implemented or supported on Ubuntu, so please configure your hardware to disable any non-nvidia graphics cards and try again.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → New
chalet16 (chalet16) wrote :

This seem to be same on natty beta 2. Also unable to use Ubuntu Classic with effect.

Henrique Rocha (hmrocha-fc) wrote :

This is really annoying. I installed a fresh ISO of natty beta-2 and after enabling the nvidia drivers and rebooting, I can't login.
GDM loads fine but after login, X freezes. I have to use a Classic (no effects) session.

Henrique Rocha (hmrocha-fc) wrote :

BTW, I have a Nvidia GeForce Go 7400.

I tried to install an old driver:

hmrocha@hmrocha-laptop:~$ sudo apt-get install nvidia-96
[sudo] password for hmrocha:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 nvidia-96 : Depends: xorg-video-abi-8.0 but it is not installable
             Depends: xserver-xorg-core (>= 2:1.8.99.905-1ubuntu3) but it is not going to be installed
E: Broken packages

Same output if I try to install nvidia-173.

Henrique Rocha (hmrocha-fc) wrote :

nvidia-173 package is no longer broken.
I've just installed and I'm going to try if I can use 3D acceleration without freezing X.

Henrique Rocha (hmrocha-fc) wrote :

X no longer freezes with my laptop with Nvidia GeForce 7400 Go using nvidia-173 drivers. Yeah! \o/
Going to set Unity as my default desktop. =)

Bryce Harrington (bryce) wrote :

Great; can this bug report be closed then? If you think so please set it to Fix Released.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Incomplete
Henrique Rocha (hmrocha-fc) wrote :

The bug has not been fixed because I had to fix it by hand.
Ubuntu should detect that I have a Nvidia card that uses nvidia-173 drivers instead of nvidia-current.
Using nvidia-current (which is the recommended option) will continue to freeze my system.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed
Henrique Rocha (hmrocha-fc) wrote :

Btw, I can't use Unity with my Nvidia GeForce 7400 Go by default because it's blacklisted in nux-tools.
I had to remove the blacklisting from the source code, recompile, create a new .deb of nux-tools and install it.

Bryce Harrington (bryce) wrote :

Hey chalet16,

You filed this bug report against natty, but I see it's still open and
doesn't appear to have much activity recently. So, now that oneiric
is released and stable, this may be a good point for you to upgrade
and re-test if this issue is still present there.

If it's solved in the new release and you think it's worth backporting
the fix, please indicate that. Or if having the fix in the new release
is good enough, feel free to close out the bug (or let us know and we'll
close it.)

If it's not solved, leave the bug report open. I can't promise we'll
get to it (we get way more bugs filed than we can usually get to), but
your testing and feedback can help out if and when we do.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Incomplete
chalet16 (chalet16) wrote :

This bug is already solved in natty. Please close this bug.

Thanks :)

Launchpad Janitor (janitor) wrote :

[Expired for nvidia-graphics-drivers (Ubuntu) because there has been no activity for 60 days.]

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers